Debian Bug report logs - #692110
[ifupdown] ifupdown renders system unbootable

version graph

Package: ifupdown; Maintainer for ifupdown is Andrew Shadura <andrewsh@debian.org>; Source for ifupdown is src:ifupdown.

Reported by: Christian Frommeyer <debian@frommeyer.name>

Date: Fri, 2 Nov 2012 10:42:02 UTC

Severity: critical

Found in version ifupdown/0.7.4

Fixed in version ifupdown/0.7.5

Done: bugzilla@tut.by (Andrew O. Shadura)

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#692110; Package ifupdown. (Fri, 02 Nov 2012 10:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Christian Frommeyer <debian@frommeyer.name>:
New Bug report received and forwarded. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Fri, 02 Nov 2012 10:42:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Christian Frommeyer <debian@frommeyer.name>
To: submit@bugs.debian.org
Subject: [ifupdown] ifupdown renders system unbootable
Date: Fri, 2 Nov 2012 11:39:01 +0100
Package: ifupdown
Version: 0.7.4
Severity: critical

--- Please enter the report below this line. ---
Hi,

after updating some packages yesterday the system did not boot any more today. 
The boot sequence always just stopped after resolvconf. The system would not 
do anything else than respond to Ctrl+Alt+Del for reboot.
After some fiddeling around I realised that booting with the .legacy-
bootordering file in place would work but issue an error message in 
/etc/network/if-up.d/upstart that the return statement in line 15 is not 
allowed. Initially Version 0.7.3 was installed. Ubdating to 0.7.4 did not 
change the situation. Even downgrading did not remove the defective files.
I now purged ifupdown and reinstalled 0.7.2 which works again.

HTH
Christian

--- System information. ---
Architecture: i386
Kernel:       Linux 3.2.0-3-686-pae

Debian Release: wheezy/sid
  500 unstable        ftp2.de.debian.org 
  500 unstable        ftp.deb-multimedia.org 
  500 stable          repo.wuala.com 
    1 experimental    ftp2.de.debian.org 

--- Package information. ---
Depends               (Version) | Installed
===============================-+-================
iproute         (>= 20071016-1) | 20120521-3
libc6                  (>= 2.7) | 2.13-35
lsb-base                        | 4.1+Debian7
initscripts     (>= 2.88dsf-25) | 2.88dsf-32


Package's Recommends field is empty.

Suggests             (Version) | Installed
==============================-+-===========
isc-dhcp-client                | 4.2.4-2
 OR dhcp-client                | 
ppp                            | 2.4.5-5.1+b1
rdnssd                         | 
net-tools                      | 1.60-24.2




Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#692110; Package ifupdown. (Fri, 02 Nov 2012 13:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Michael Schmitt <michael.schmitt@somborn.net>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Fri, 02 Nov 2012 13:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 692110@bugs.debian.org (full text, mbox):

From: Michael Schmitt <michael.schmitt@somborn.net>
To: 692110@bugs.debian.org
Subject: Re: [ifupdown] ifupdown renders system unbootable
Date: Fri, 02 Nov 2012 14:02:55 +0100
Hi folks,

I do not have enough technical knowledge about the init-system and even 
my bash-skills are rather limited, but I can say for sure the file
"/etc/network/if-up.d/upstart" which was intruduced in version 0.7.3 is 
at least broken. It did not prevent my system I am on now from rebooting 
(using makefile-style boot-order) but I can confirm Chistians report 
about the error message:

adrastea:~# grep upstart /var/log/boot
Fri Nov  2 13:28:14 2012: [....] Configuring network 
interfaces.../etc/network/if-up.d/upstart: line 10: return: can only 
`return' from a function or sourced script
Fri Nov  2 13:28:15 2012: run-parts: /etc/network/if-up.d/upstart exited 
with return code 1
Fri Nov  2 13:28:19 2012: /etc/network/if-up.d/upstart: line 10: return: 
can only `return' from a function or sourced script
Fri Nov  2 13:28:19 2012: run-parts: /etc/network/if-up.d/upstart exited 
with return code 1
Fri Nov  2 13:28:19 2012: /etc/network/if-up.d/upstart: line 10: return: 
can only `return' from a function or sourced script
Fri Nov  2 13:28:19 2012: run-parts: /etc/network/if-up.d/upstart exited 
with return code 1
Fri Nov  2 13:28:19 2012: /etc/network/if-up.d/upstart: line 10: return: 
can only `return' from a function or sourced script
Fri Nov  2 13:28:19 2012: run-parts: /etc/network/if-up.d/upstart exited 
with return code 1
adrastea:~#

I assume a possible workaround would be to simply remove / move the file 
away. At least for those users that do not use upstart (majority of 
Debian users I guess?) it should not have any troublesome side-effects.

regards
Michael



Information forwarded to debian-bugs-dist@lists.debian.org, Andrew O. Shadura <bugzilla@tut.by>:
Bug#692110; Package ifupdown. (Fri, 02 Nov 2012 17:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrew Shadura <bugzilla@tut.by>:
Extra info received and forwarded to list. Copy sent to Andrew O. Shadura <bugzilla@tut.by>. (Fri, 02 Nov 2012 17:33:03 GMT) Full text and rfc822 format available.

Message #15 received at 692110@bugs.debian.org (full text, mbox):

From: Andrew Shadura <bugzilla@tut.by>
To: Christian Frommeyer <debian@frommeyer.name>, 692110@bugs.debian.org
Subject: Re: Bug#692110: [ifupdown] ifupdown renders system unbootable
Date: Fri, 2 Nov 2012 18:29:45 +0100
[Message part 1 (text/plain, inline)]
Hello,

On Fri, 2 Nov 2012 11:39:01 +0100
Christian Frommeyer <debian@frommeyer.name> wrote:

> after updating some packages yesterday the system did not boot any
> more today. The boot sequence always just stopped after resolvconf.
> The system would not do anything else than respond to Ctrl+Alt+Del
> for reboot. After some fiddeling around I realised that booting with
> the .legacy- bootordering file in place would work but issue an error
> message in /etc/network/if-up.d/upstart that the return statement in
> line 15 is not allowed. Initially Version 0.7.3 was installed.
> Ubdating to 0.7.4 did not change the situation. Even downgrading did
> not remove the defective files. I now purged ifupdown and reinstalled
> 0.7.2 which works again.

I'm really really sorry that I've done two consecutive releases which
had these terrible bugs. I'll fix it soon and do an upload.

-- 
WBR, Andrew
[signature.asc (application/pgp-signature, attachment)]

Reply sent to bugzilla@tut.by (Andrew O. Shadura):
You have taken responsibility. (Sat, 03 Nov 2012 18:21:05 GMT) Full text and rfc822 format available.

Notification sent to Christian Frommeyer <debian@frommeyer.name>:
Bug acknowledged by developer. (Sat, 03 Nov 2012 18:21:05 GMT) Full text and rfc822 format available.

Message #20 received at 692110-close@bugs.debian.org (full text, mbox):

From: bugzilla@tut.by (Andrew O. Shadura)
To: 692110-close@bugs.debian.org
Subject: Bug#692110: fixed in ifupdown 0.7.5
Date: Sat, 03 Nov 2012 18:17:30 +0000
Source: ifupdown
Source-Version: 0.7.5

We believe that the bug you reported is fixed in the latest version of
ifupdown, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 692110@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Andrew O. Shadura <bugzilla@tut.by> (supplier of updated ifupdown package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA512

Format: 1.8
Date: Fri, 02 Nov 2012 18:30:19 +0100
Source: ifupdown
Binary: ifupdown
Architecture: source amd64
Version: 0.7.5
Distribution: unstable
Urgency: low
Maintainer: Andrew O. Shadura <bugzilla@tut.by>
Changed-By: Andrew O. Shadura <bugzilla@tut.by>
Description: 
 ifupdown   - high level tools to configure network interfaces
Closes: 692110
Changes: 
 ifupdown (0.7.5) unstable; urgency=low
 .
   * Fix upstart hooks (Closes: #692110).
Checksums-Sha1: 
 6a696b7f4b9bb068add1ff460ab783394a6f6e78 1588 ifupdown_0.7.5.dsc
 0de67e35a171d3804ea02c9b7075ade4cb6a4846 104104 ifupdown_0.7.5.tar.gz
 17ad81bf085b77cab930a297cf68fb7ec28e590a 64252 ifupdown_0.7.5_amd64.deb
Checksums-Sha256: 
 42bb76dbc4b621e31e3211e081d56658459d0af8d30501b8e3d06e22c96a6f8a 1588 ifupdown_0.7.5.dsc
 7f2253dbbb2716644c8efe5ef9b75fc2bd0cf828f895f69aed17ceb453c2be4c 104104 ifupdown_0.7.5.tar.gz
 8923e484c448d94546fc6c3bcf8959bf480be9832083cbcd9c77568fbef5e01e 64252 ifupdown_0.7.5_amd64.deb
Files: 
 7ae63e0e1e72d6517706a2f74a60b868 1588 admin important ifupdown_0.7.5.dsc
 44f15efc1bf4499cea53d6db6f269bf4 104104 admin important ifupdown_0.7.5.tar.gz
 da7442d40edd5ee5b2bf72eb3ee27d87 64252 admin important ifupdown_0.7.5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCgAGBQJQlVveAAoJEOJSSsUKn1xZHYsP/0npmqSSqnISRU8kOf2H3zA2
99Wxzxt99dAGObF/DnaHyvlmvkzw3iNM8kKnE6FPpMRK3oWOXC046vZp3I90/PST
zD455tC5cCOchSzBwZ5LtIEc9MjpcnHhtR5JwITXprhskoqDqOumJVYHlkwYk57+
jVfcczSwb4Tfsvkmm6oNida59OmmsWFTdrnOx7gRzCdBRycgs4hGcBcUYZC+/vaL
smsWv0kmBDvma5hbNltMfYC4eGLL+bCH9yu253Hkr227TVTRW+0yUx/w2lizX7MB
DdzCuHOvX/BFLtPLpn62CDxVj1QgYjPuQcuLT9SkYTNchFmGT9G8A2jbYE01Bksm
YuxSEapz/k5X8LMA3TETe/ju69uRcfI7o8WshUAt9uxxNtJQsJA2OdeUxI5sLrR4
SpdXWzD7L0Wj8QE/sJupCqR2gCXpSwRmU0hOjRANReLIVuCdah1aHgsK6ouuoYrI
jZ05ipaPu8pkfQ5viEEBmFQ7CTZ7TMrHjDZ1UA4l+4UNOdeb8Nj5sNDRm4HQjEVi
DJxUamijiqfunKNfVKnMRyQvYdZ3tIbzVi+WG06X+MhIwQNkcg955e+LwmVfgM1n
RrUPshe+IvgvHLCnjhkwk1d75Jn0MOmGv7m0fcvkzBv//VAt4JL+Tn5/mNllnHp8
i4AW78+rKQ+oyKC5pB/J
=5359
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 14 Dec 2012 07:25:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 20:56:18 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.